%define major		8
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		exempi
Summary:	Library for easy parsing of XMP metadata
Version:	2.6.1
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD-like
URL:		https://libopenraw.freedesktop.org/wiki/Exempi
Source0:	https://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.xz
Patch0:		exempi-e23c213-typeinfos.patch
BuildRequires:	pkgconfig(expat)
BuildRequires:	boost-devel

%description
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package -n %{libname}
Summary:	XMP implementation
Group:		System/Libraries

%description -n %{libname}
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes: lib64exempi3-devel

%description -n %{develname}
Exempi provides a library for easy parsing of XMP metadata. It is a port of 
Adobe XMP SDK to work on UNIX and to be build with GNU automake.
It includes XMPCore and XMPFiles.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x CPPFLAGS="-fno-strict-aliasing -DBanAllEntityUsage=1"

%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete

%files
%{_bindir}/%{name}
%{_mandir}/man?/%{name}.?.*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Jul  04 2022 tex- 2.6.1-1pclos2022
- new version
